<div ng-controller="measureFormController as self" ng-init="self.init('<?= $this->from ?>', <?= $this->object ? $this->object->getId() : 'null' ?>)">
    <div id="measureFormModal" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <script>
                        $(function() {
                            $('[data-toggle="popover"]').popover()
                        })
                    </script>
                    {{self.panelTitle}} <span data-html="true" data-trigger="hover" data-container="body" data-toggle="popover" data-placement="right" data-content="<b><?= $this->translate('indicator_field_description') ?> :</b><br>{{ self.measure.indicator.description }}<br><br>
                    <b><?= $this->translate('indicator_field_definition') ?> :</b><br>{{ self.measure.indicator.definition }}<br><br>
                    <b><?= $this->translate('indicator_field_method') ?> :</b><br>{{ self.measure.indicator.method }}"><i class="fa fa-info-circle"></i></span>

                </div>
                <div class="modal-body">
                    <form name="measureForm" ng-submit="self.saveMeasure();">
                        
                            <?php if ($this->isMaster) : ?>
                                <div class="row">
                                    <div class="form-group col-xs-12">
                                        <label><?= $this->translate('measure_field_client') ?></label>
                                        <client-select name="client" ng-model="self.measure.client" ng-disabled="!self.measure._rights.update" form="measureForm"></client-select>
                                        <field-errors field="client" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                            <?php endif ?>
                            <?php if ($this->from === 'project') : ?>
                                <div class="row">
                                    <div class="form-group required col-xs-12">
                                        <label><?= $this->translate('measure_field_indicator') ?></label>
                                        <indicator-select name="indicator" required="true" ng-model="self.measure.indicator" ng-disabled="!self.measure._rights.update" configuration="{ service : { apiParams : { col : ['id', 'name', 'type', 'values', 'keywords'] } } }" form="measureForm" filters="{archived:false}"></indicator-select>
                                        <field-errors field="indicator" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if ($this->from !== 'project' && $this->module()->isActive('project')) : ?>
                                <div class="row">
                                    <div class="form-group col-xs-12">
                                        <label><?= $this->translate('measure_field_project') ?></label>
                                        <project-select name="project" required="false" ng-model="self.measure.project" ng-disabled="!self.measure._rights.update" form="measureForm"></project-select>
                                        <field-errors field="project" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="row">
                            <div class="form-group required col-xs-12  col-lg-6">
                                <label><?= $this->translate('measure_field_period') ?></label>
                                <select class="form-control" required
                                        ng-model="self.measure.period" ng-disabled="!self.measure._rights.update">
                                    <option value=""></option>
                                    <?php
                                    foreach (\Indicator\Entity\Measure::getPeriods() as $period) {
                                        echo '<option value="' . $period . '">' . $this->translate('measure_period_' . $period) . '</option>';
                                    }
                                    ?>
                                </select>
                                <field-errors field="period" errors="self.errors.fields"></field-errors>
                            </div>
                                <div class="form-group required col-xs-12 col-lg-6">
                                    <label><?= $this->translate('measure_field_type') ?></label>
                                    <select class="form-control" required ng-model="self.measure.type" ng-disabled="!self.measure._rights.update || !!self.measure.campain">
                                        <option value=""></option>
                                        <?php
                                        foreach (\Indicator\Entity\Measure::getTypes() as $type) {
                                            echo '<option value="' . $type . '">' . $this->translate('measure_type_' . $type) . '</option>';
                                        }
                                        ?>
                                    </select>
                                    <field-errors field="type" errors="self.errors.fields"></field-errors>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-xs-12 col-lg-6">
                                    <label><?= $this->translate('measure_field_start') ?></label>
                                    <input type="text" name="start" class="form-control" autocomplete="off" input-date input-date-mask="date" ng-model="self.measure.start" ng-readonly="!self.measure._rights.update" />
                                </div>
                                <div class="form-group col-xs-12 col-lg-6">
                                    <label><?= $this->translate('measure_field_date') ?></label>
                                    <input type="text" name="date" class="form-control" autocomplete="off" input-date input-date-mask="date" ng-model="self.measure.date" ng-readonly="!self.measure._rights.update" />
                                </div>
                                <field-errors field="date" errors="self.errors.fields"></field-errors>
                                <field-errors field="start" errors="self.errors.fields"></field-errors>
                            </div>
                            <div class="row">
                                <div class="form-group col-xs-12">
                                    <label><?= $this->translate('measure_field_comment') ?></label>
                                    <textarea ng-model="self.measure.comment" ng-readonly="!self.measure._rights.update" class="form-control"></textarea>
                                    <field-errors field="comment" errors="self.errors.fields"></field-errors>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-xs-12">
                                    <label><?= $this->translate('measure_field_source') ?></label>
                                    <textarea ng-model="self.measure.source" ng-readonly="!self.measure._rights.update" class="form-control"></textarea>
                                    <field-errors field="source" errors="self.errors.fields"></field-errors>
                                </div>
                            </div>
                            <div class="row" ng-show="self.measure.indicator">
                                <div class="form-group  col-xs-12">
                                    <label><?= $this->translate('measure_field_value') ?></label>
                                    <input type="number" class="form-control" ng-if="self.measure.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FREE ?>'" ng-model="self.measure.value" ng-readonly="!self.measure._rights.update" />

                                    <select class="form-control"  ng-if="self.measure.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FIXED ?>'" ng-model="self.measure.value" ng-readonly="!self.measure._rights.update" ng-options="+(value.value) as value.text for value in self.measure.indicator.values">
                                        <option></option>
                                    </select>

                                    <field-errors field="value" errors="self.errors.fields"></field-errors>
                                </div>
                            </div>
                            <?php if ($this->module()->isActive('map')) : ?>
                                <div class="row">
                                    <div class="col-xs-12">
                                        <fieldset>
                                            <legend><?= $this->icon('territory', 'fa-fw') ?> <?= ucfirst($this->translate('territory_entities')) ?></legend>
                                            <div class="row">
                                                <div class="form-group col-xs-12">
                                                    <territories-form-group ng-model="self.measure"></territories-form-group>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>
                            <?php endif; ?>
                    </form>
                    <div class="row">
                        <div class="form-group col-xs-12">
                            <label><?= $this->translate('measure_field_attachment') ?></label>
                            <attachment-module entity="Indicator\Entity\Measure" right="indicator:e:measure" primary="self.measure.id" />
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <form name="measureFormActions" ng-submit="self.saveMeasure();">
                        <button class="btn btn-default" type="button" data-dismiss="modal" data-target="#measureFormModal">
                            <?= $this->translate('close') ?>
                        </button>
                        <button class="btn btn-submit" ng-disabled="self.loading.save" ng-if="self.measure._rights.update">
                            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                            <?= $this->translate('save') ?>
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div ng-model="self.measure">
        <div ng-controller="attachmentController as att" ng-init="att.init('Indicator\\\Entity\\\Measure', 'indicator:e:measure', self.measure,  self.editedMeasureId)">
            <?= $this->partial('attachment/partial/form.phtml') ?>
        </div>
    </div>
</div>
<?php

/** Attachments **/
$this->angular('js/src/attachment/controller/attachment.js');
$this->angular('js/src/attachment/directive/attachmentModule.js');
$this->angular('js/src/attachment/service/attachment.js');
?>